# Imports ## Upload Excel to Import Manager - [POST /importmanager.upload/{slotId}/{typeCode}/{target}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.upload-(slotid)-typecode-target.md): Uploads an Excel file to a specific import via the upload slot created by /uploadmanager.newuploadslot. Use the optional managerUN query parameter to specify the unique name of the Import Manager. The maximum file size: 1GB ## List ImportManager Changes - [POST /importmanager.fetchchanges/{uniqueName}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.fetchchanges-uniquename.md): Retrieves all, or filtered, changes for the specified ImportManager. ## Delete Import Changes - [POST /importmanager.deletechanges](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.deletechanges.md): Reverts all changes specified in the request body. ## Save Import Change - [POST /importmanager.savechange](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.savechange.md): Saves or updates an Import Change identified by Import Manager uniquename, type of change, target column name, target primary keys. ## Submit Changes - [POST /importmanager.submit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.submit-typedid.md): Writes the changes made by the user in the Import Manager to the database. The changes are subject to validation against the data in the database. All the changes must pass the validation for the submit to be successful. ## Mass Edit Imports - [POST /importmanager.massedit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.massedit-typedid.md): Mass updates changes in Import Manager. ## Mass Delete Imports - [POST /importmanager.massdelete/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.massdelete-typedid.md): Mass deletes changes in Import Manager.